from sqlalchemy import String, Column, Integer

from app.modle import Base
from app.utils.util import cn_now


class Template(Base):
    """模版表"""

    __tablename__ = 'template'

    id = Column(Integer, primary_key=True, autoincrement=True, nullable=False, unique=True, doc='id')
    name = Column(String, nullable=False, unique=False, index=False, doc='模版名称')
    format = Column(String, nullable=True, unique=False, index=False, doc='模版格式')
    report_type = Column(String, nullable=True, unique=False, index=False, doc='报告类型')
    Introduction = Column(String, nullable=True, unique=False, index=False, doc='模版简介')
    creator = Column(String, nullable=True, unique=False, index=False, doc='创建者')
    create_time = Column(String, nullable=True, unique=False, index=False, doc='创建时间')
    update_time = Column(String, nullable=True, unique=False, index=False, doc='修改时间')
    template_url = Column(String, nullable=True, unique=False, index=False, doc='模版存储地址')
    template_type = Column(String, nullable=True, unique=False, index=False, doc='模版类型')
